### Method

# Fwupd Device get_update_message

since: 1.2.4

#### Declaration [src]

    const gchar*
    fwupd_device_get_update_message (
      FwupdDevice* self
    )

#### Description [src]

Gets the update message string.

Available since: 1.2.4

Gets property | `Fwupd.Device:update-message`

#### Return value

Type: `const gchar*`

The update message string, or `NULL` if unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.